# List Activities for a Profile

List of activities belonging to user profile.

Activities represent snapshots of performed actions and can be filtered by various parameters to narrow down the results.

Endpoint: GET /v1/profiles/{profileId}/activities
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    The unique identifier of the profile.

## Query parameters:

  - `monetaryResourceType` (string)
    Filter activity by resource type.

  - `status` (string)
    Filter by activity status.

  - `since` (string)
    Filter activity list after a certain timestamp. Use ISO 8601 format.

  - `until` (string)
    Filter activity list until a certain timestamp. Use ISO 8601 format.

  - `nextCursor` (string)
    Pagination cursor returned from a previous response. Use the `cursor` value from the response to fetch the next page of activities.

  - `size` (integer)
    Desired size of query. Min 1, max 100, and default value is 10 if not specified.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `cursor` (string | null)
    Pagination cursor. Pass this value as the `nextCursor` query parameter to fetch the next page of results. Returns `null` when there are no more pages.

  - `activities` (array)
    Array of activity objects.

  - `activities.id` (string)
    Activity id.
    Example: TU9ORVRBUllfQUNUSVZJVFk6OjE0NTU4OTk4OjpDQVJEX1RSQU5TQUNUSU9OOjozNDMwNDk=

  - `activities.type` (string)
    Type of Activity.
    Enum: "ACQUIRING_PAYMENT", "AUTO_CONVERSION", "BALANCE_ADJUSTMENT", "BALANCE_ASSET_FEE", "BALANCE_CASHBACK", "BALANCE_DEPOSIT", "BALANCE_HOLD_FEE", "BALANCE_INTEREST", "BANK_DETAILS_ORDER", "BATCH_TRANSFER", "CARD_CASHBACK", "CARD_CHECK", "CARD_ORDER", "CARD_PAYMENT", "CASH_WITHDRAWAL", "CLAIMABLE_SEND_ORDER", "DIRECT_DEBIT_TRANSACTION", "EXCESS_REFUND", "FEE_REFUND", "INCORPORATION_ORDER", "INTERBALANCE", "PAYMENT_REQUEST", "PREFUNDING_TRANSFER", "REWARD", "SCHEDULED_SEND_ORDER", "TRANSFER"

  - `activities.resource` (object)
    The resource associated with the activity.

  - `activities.resource.type` (string)
    Type of Activity Monetary Resource.
    Enum: "ACCRUAL_CHARGE", "ACQUIRING_PAYMENT", "ASSETS_WITHDRAWAL", "BALANCE_CASHBACK", "BALANCE_INTEREST", "BALANCE_TRANSACTION", "BANK_DETAILS_ORDER", "BATCH_TRANSFER", "CARD_CASHBACK", "CARD_ORDER", "CARD_TRANSACTION", "DIRECT_DEBIT_INSTRUCTION", "DIRECT_DEBIT_TRANSACTION", "FEE_REFUND", "INCIDENT_REFUND", "INCORPORATION_ORDER", "OPERATIONAL_TRANSACTION", "PAYMENT_REQUEST", "REWARD", "REWARDS_REDEMPTION", "SEND_ORDER", "SEND_ORDER_EXECUTION", "TRANSFER"

  - `activities.resource.id` (string)
    The unique identifier of the resource.
    Example: 343049

  - `activities.title` (string)
    Title of the Activity.
Value can be formatted with custom tags to put emphasis on important wordings.
Supported custom tags:
- `<strong>`: Indicates strong emphasis on words that the end user should pay attention to.
- `<positive>`: Indicates a positive transaction (e.g., top up to balance is successful).
- `<negative>`: Indicates a negative transaction (e.g., amount is deducted from a balance).
- `<strikethrough>`: (Coming soon) Indicates the negation of an activity (e.g., transfer is cancelled).
    Example: <strong>Test Payment</strong>

  - `activities.description` (string)
    A short description that briefly summarizes the activity.

  - `activities.primaryAmount` (string)
    A currency formatted text that describe the primary amount of transaction.
Value of this field is intended to have units in it and should not be treated as a numeric value.
One example of primaryAmount would be: "Topping up 100 USD balance with 80 GBP". In this case `100 USD` would be the primaryAmount of the activity.
    Example: 150 JPY

  - `activities.secondaryAmount` (string)
    A currency formatted text that describe the secondary amount of transaction.
Value of this field is intended to have units in it and should not be treated as a numeric value.
Value can be empty if there is no good candidate as secondary amount.
One example of secondaryAmount would be: "Topping up 100 USD balance with 80 GBP". In this case `80 GBP` would be the secondaryAmount of the activity.
    Example: 1.50 SGD

  - `activities.status` (string)
    Status of the Activity.
- `REQUIRES_ATTENTION` - Requires an end user attention.
- `IN_PROGRESS` - Indicates that this activity has yet to be completed. (Example: In progress Top Up)
- `UPCOMING` - Indicates that this activity is scheduled to happen in the future. By default these activities will only be shown 2 days before the date. (Example: A scheduled transfer)
- `COMPLETED` - Indicates that this activity is at its end state. (Example: A completed Top Up)
- `CANCELLED` - Indicates that this activity is cancelled. (Example: A Top Up is cancelled)
    Enum: "REQUIRES_ATTENTION", "IN_PROGRESS", "UPCOMING", "COMPLETED", "CANCELLED"

  - `activities.createdOn` (string)
    Timestamp when the activity was created.
    Example: 2023-01-01T00:00:00.000Z

  - `activities.updatedOn` (string)
    Timestamp when the activity was last modified.
    Example: 2023-01-01T00:00:00.000Z

